﻿using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace UGTimerSpontaneousRowActivation
{
  public class Trailer : INotifyPropertyChanged
  {
    private TimeSpan _timeAtLocation;

    public string TrailerNumber { get; set; }

    public DateTime Arrived { get; set; }

    public TimeSpan TimeAtLocation
    {
      get { return _timeAtLocation; }
      set
      {
        if (value.Equals(_timeAtLocation)) return;
        _timeAtLocation = value;
        OnPropertyChanged("TimeAtLocation");
      }
    }

    public List<Shipment> Shipments { get; set; }

    public event PropertyChangedEventHandler PropertyChanged;

    protected virtual void OnPropertyChanged(string propertyName)
    {
      var handler = PropertyChanged;
      if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
    }
  }
}